@import "common/fonts.scss";
/*-------------------------------------------------------- MIXINS */ 


/*-------------------------------------------------------- HEADER */  
    header {
        height:40px;
        margin-bottom:9px;
    
        .logo {
            margin-left:2%;
            margin-top:-7px;
            width:130px;
        } .menu {
            position:absolute;
            width:88%;
            text-align: right;
            margin-top:5px;
        } h3 {
            display: inline-block;
            padding-top:-5px;
            font-family: Medium;
            font-weight: 600;
            font-size:0.6em;
            padding-right:2%;  
        }
    }
    .num_tel {
        margin-left:8%;
        margin-right:70px;
    }

   .telephone {
        position:absolute;
        width:17px;
        color:white;
        background-color: #6270ff;
        padding:20px 20px 20px 20px;
        margin-top: -13px;
   }
  
/*--------------------------------------------------------------- */  
    .bloc-titre {
       height:100px;
       margin-left:-8px;
       margin-right:-8px;
       background-color: #444dad;
   }

   h1 { 
       font-family: Bold;
       font-size:2.3em; 
       color:white;
       margin-left:40%;
       position:absolute;
       margin-top: 30px;
   }
/*-------------------------------------------------------- MAIN */  

    main {
       height:1500px; //----------------------------A modif suivant la hauteur du contenu -> footer
       margin-left:-8px;
       margin-right:-8px;
       margin-top:60px;

        h2 {
            font-family: Regular;
            text-transform: uppercase;
            letter-spacing: 2px;
            color:grey;
            font-size:0.5em;
            text-align:center;
            margin-top:30px;
        } 

        h3 {
        font-family: Bold;
        text-align:center;
        margin-top:-1px;
        }

        h4 {
            font-family:Medium;
            font-size:0.8em;
        }

        p {
            font-family:light;
            font-size: 0.8em;
        }
    }
/*----------------------PAGE BOUTONS*/
   .grid-container {
        display: grid;
        width:70%;
        margin:0 auto;
        grid-gap: 40px 40px;
        grid-template-columns: auto auto auto auto;
        padding: 40px 10px 40px 10px;
    }

    .grid-item {
        background-color:#444dad;
        padding: 10px;
        font-size: 30px;
        text-align: center;
        width:70%;
        margin:0 auto;
        height:10px;
    }

/*-------------------------------------------------------- MIXIN DES BOUTONS*/ 

@mixin button_square {
    background: linear-gradient(to right, #79ccff 0%,#6270ff 65%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    font-family: 'Bold';
    color:white;
    font-size: 0.5em;
    text-align:center;
    letter-spacing: 0.2mm;
    padding:13px 10px 10px 10px;
    width:70%;
    margin: 0 auto;
}

@mixin button_softrounded {
    background: linear-gradient(to right, #79ccff 0%,#6270ff 65%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    font-family: 'Bold';
    color:white;
    font-size: 0.5em;
    text-align:center;
    letter-spacing: 0.2mm;
    padding:13px 15px 10px 15px;
    width:70%;
    margin: 0 auto;
    border-radius: 12px;
}

@mixin button_rounded {
    background: linear-gradient(to right, #79ccff 0%,#6270ff 65%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    font-family: 'Bold';
    color:white;
    font-size: 0.5em;
    text-align:center;
    letter-spacing: 0.2mm;
    padding:13px 15px 10px 15px;
    width:70%;
    margin: 0 auto;
    border-radius: 25px;
}

@mixin degrade {
    box-shadow: 0px 7px 10px 3px rgba(119, 119, 119, 0.29);
}

@mixin background_color {
    background:#6270ff;
}

@mixin border_degrade {
    color:grey;
    background: white;
    border: 2px solid;
    border-image-source: linear-gradient(45deg, #79ccff, #6270ff);
    border-image-slice: 1;
}

.first_button_square {
    @include button_square;
    @include degrade;
}

.second_button_square {
    @include button_square;
}

.third_button_square {
    @include button_square;
    @include background_color;
}

.fourth_button_square {
    @include button_square;
    @include border_degrade;
}
/*----------------------------------------- */ 

.first_button_softrounded {
    @include button_softrounded;
    @include degrade;
}

.second_button_softrounded {
    @include button_softrounded;
}

.third_button_softrounded {
    @include button_softrounded;
    @include background_color;
}
.fourth_button_softrounded {
    @include button_softrounded;
    @include border_degrade;

/* cela ne marche pas, jsp pq
    i {
    color:#6270ff;  
    } */
}

.first_button_rounded {
    @include button_rounded;
    @include degrade;
}
.second_button_rounded {
    @include button_rounded;
}

.third_button_rounded {
    @include button_rounded;
    @include background_color;
}
.fourth_button_rounded {
    @include button_rounded;
    @include border_degrade;
}
 
/*----------------------PAGE GRADIENTS*/
.main-gradient {
    height:2100px; //----------------------------A modif suivant la hauteur du contenu ->footer

}
.grid-container-gradient {
    display: grid;
    width:70%;
    margin:0 auto;
    grid-gap: 5px;
    grid-template-columns: auto auto auto;
    padding: 10px;
}

@mixin grid-item-gradient {
    background-color:#444dad;
    padding: 10px;
    width:90%;
    margin:0 auto;
    height:470px;
}

/*-------------------------------------------------------- MIXIN DES GRADIENTS*/ 


@mixin gradient-blue-purple {
    background-image: linear-gradient(to right top, #79ccff, #61bcff, #61a9ff, #7991ff, #9b74ff);
}
@mixin gradient-blue-turquoise {
    background-image: linear-gradient(to right top, #1affec, #00e5ff, #00c3ff, #0096ff, #9f4ff9);
}
@mixin gradient-red-pink {
    background-image: linear-gradient(to right top, #ff4646, #ff2a65, #ff0088, #ff00af, #ff26d9);
}
@mixin gradient-purple-green {
    background-image: linear-gradient(to right top, #79ff8f, #00edd2, #00d2ff, #00abff, #7b74ff);
}
@mixin gradient-red-orange {
    background-image: linear-gradient(to right top, #ffce3a, #ffa830, #ff7f3c, #ff5151, #ff0e69);
}
@mixin gradient-purple-yellow {
    background-image: linear-gradient(to right top, #ffce79, #ffa578, #ff7b99, #fa67cd, #9b74ff);
}
@mixin gradient-darkblue-purple {
    background-image: linear-gradient(to right top, #de9285, #e9778d, #e460a9, #c459d2, #6866ff);
}
@mixin gradient-yellow-green {
    background-image: linear-gradient(to right top, #79ff7c, #acf05c, #cfe048, #ebcf42, #ffbd4a);
}
@mixin gradient-purple-turquoise {
    background-image: linear-gradient(to right top, #00fff0, #00e7ff, #00c6ff, #0093ff, #d322ff);
}
@mixin gradient-salmon-pink {
    background-image: linear-gradient(to right top, #ff2d72, #ff576a, #ff7768, #ff926d, #ffab79);
}
@mixin gradient-darkblue-pink {
    background-image: linear-gradient(to right top, #ff18ab, #ee00bc, #d400d1, #ae00e8, #6e03ff);
}

.gradient-blue-purple {
    @include grid-item-gradient;
    @include gradient-blue-purple;
}
.gradient-blue-turquoise {
    @include grid-item-gradient;
    @include gradient-blue-turquoise;
}
.gradient-red-pink {
    @include grid-item-gradient;
    @include gradient-red-pink;
}
.gradient-purple-green {
    @include grid-item-gradient;
    @include gradient-purple-green;
}
.gradient-red-orange {
    @include grid-item-gradient;
    @include gradient-red-orange;
}
.gradient-purple-yellow {
    @include grid-item-gradient;
    @include gradient-purple-yellow;
}
.gradient-darkblue-purple {
    @include grid-item-gradient;
    @include gradient-darkblue-purple;
}
.gradient-yellow-green {
    @include grid-item-gradient;
    @include gradient-yellow-green;
}
.gradient-purple-turquoise {
    @include grid-item-gradient;
    @include gradient-purple-turquoise;
}
.gradient-salmon-pink {
    @include grid-item-gradient;
    @include gradient-salmon-pink;
}
.gradient-darkblue-pink {
    @include grid-item-gradient;
    @include gradient-darkblue-pink;
}
.gradient-blue-green {
    @include grid-item-gradient;
    @include gradient-purple-green;
}
/*----------------------PAGE MESSAGE BOXES*/
.main-message {
    height:1400px;
}
.grid-container-message {
    display: grid;
    width:70%;
    margin:0 auto;
    grid-gap: 5px;
    grid-template-columns: auto auto;
    padding: 10px;
}

@mixin grid-item-message {
    padding: 10px;
    width:92%;
    margin:0 auto;
    height:120px;
    color:white;

    p, h4 {
        padding:0px 20px 5px 60px;
    }
    i {
        padding:20px 0px 0px 13px;
        position:absolute;
        font-size:1.3em;
    }
}

.grid-item-success-message {
    @include grid-item-message;
    background-color: #6270ff;
}
.grid-item-error-message {
    @include grid-item-message;
    background-color:#ff427c;
}
.grid-item-warning-message {
    @include grid-item-message;
    background-color: #ba4eff;
}
.grid-item-info-message {
    @include grid-item-message;
    background-color:#ffcc44;
}

/*--------------------------------MESSAGE RESUME*/

.grid-item-success-message-resume {
  @include grid-item-message;
  background-color: #6270ff;
  height:20px;

  p, h4  {
    margin-top:1px;
  }
  i {
      margin-top:-20px;
  }
}

.grid-item-error-message-resume {
    @include grid-item-message;
    background-color: #ff427c;
    height:20px;
  
    p, h4  {
      margin-top:1px;
    }
    i {
        margin-top:-20px;
    }
  }

  .grid-item-warning-message-resume {
    @include grid-item-message;
    background-color: #ba4eff;
    height:20px;
  
    p, h4  {
      margin-top:1px;
    }
    i {
        margin-top:-20px;
    }
  }

  .grid-item-info-message-resume {
    @include grid-item-message;
    background-color: #ffcc44;
    height:20px;
  
    p, h4  {
      margin-top:1px;
    }
    i {
        margin-top:-20px;
    }
  }

  .container-message-resume {
      margin-top:60px;
  }
/*--------------------------------MESSAGE only BORDER*/

.grid-item-success-message-border {
    @include grid-item-message;
    border:1px solid #6270ff;
    color:black;

    i {
        color:#6270ff;
    }
}
.grid-item-error-message-border {
    @include grid-item-message;
    border:1px solid #ff427c;
    color:black;

    i {
        color:#ff427c;
    }

}
.grid-item-warning-message-border {
    @include grid-item-message;
    border:1px solid  #ba4eff;
    color:black;

    i {
        color:#ba4eff;
    }

}
.grid-item-info-message-border {
    @include grid-item-message;
    border:1px solid #ffcc44;
    color:black;

    i {
        color:#ffcc44;
    }
}

/*--------------------------------MESSAGE RESUME only BORDER*/

.grid-item-success-message-resume-border {
    @include grid-item-message;
    border:1px solid #6270ff;
    height:20px;
  
    p, h4  {
      margin-top:1px;
      color:black;
    }
    i {
        margin-top:-20px;
        color:#6270ff;
    }
  }
  
  .grid-item-error-message-resume-border {
      @include grid-item-message;
      border:1px solid#ff427c;
      height:20px;
    
      p, h4  {
        margin-top:1px;
        color:black;

      }
      i {
          margin-top:-20px;
          color: #ff427c;
      }
    }
  
    .grid-item-warning-message-resume-border {
      @include grid-item-message;
      border:1px solid #ba4eff;
      height:20px;
    
      p, h4  {
        margin-top:1px;
        color:black;

      }
      i {
          margin-top:-20px;
          color:#ba4eff;

      }
    }
  
    .grid-item-info-message-resume-border {
      @include grid-item-message;
      border:1px solid #ffcc44;
      height:20px;
    
      p, h4  {
        margin-top:1px;
        color:black;

      }
      i {
          margin-top:-20px;
          color:#ffcc44;
      }
    }
  
    .container-message-resume {
        margin-top:60px;
    }

    .center {
        text-align:center;
        margin-bottom:10px;
        width:68%;

        h4 {
            display:inline-block;
        }

    }

/*------------------------------------PAGE TYPOGRAPHY*/

.main-typography {
    height:2250px;

    .grid-container-typo {
        display: grid;
        width:70%;
        margin:0 auto;
        grid-gap: 20px;
        grid-template-columns: auto auto;
        padding: 30px;
    
            .grid-item-typo {
            padding: 40px;
            width:90%;
            margin:0 auto;
            height:10px;
    
            h1 {
                font-size:1.1em;
                color:black;
                position:relative;
                text-align:left;
                margin-left:0px;
            }
    
            h2 {
                font-size:1em;
                font-family:bold;
                color:black;
                letter-spacing: 0px;
                text-transform: lowercase; 
                text-align:left;
             } 
             
             h3 {
                 font-size:0.9em;
                 text-align:left;
                 margin-top:20px;
             }
    
            h4 {
                font-size:0.8em;
                font-family:bold;
                text-align:left;
            }
            
            h5 {
                font-size:0.7em;
                font-family:bold;
            }
    
            h6 {
                font-size:0.6em;
                font-family:bold;
            }
        }
    
    }
}

/*----------------------------QUOTES*/

.quotes{
    margin-top:130px;

    p {
        font-size:1em;
        font-family:bold;
        line-height: 25px;
    }
    
    .grid-item-typo-quote {
        border-left:2px solid  #79ccff;
        margin-top:40px;

        p {
            padding-left:20px;
        }
    }
    .grid-item-typo-firstLetter {
        margin-top:30px;

        p::first-letter {
            color:#79ccff;
            font-size:3em;
            font-family: Light;
        }
    }

}

/*----------------------------HIGHLIGHTS*/

.highlights {
    line-height:20px;
    margin-top:100px;

    span.background-highlight-pink {
        background-color: #9b74ff;
    }
    span.background-highlight-blue {
        background-color: rgb(169, 197, 250);
    }
    span.text-color-pink {
        color:#9b74ff;
    }
    span.text-color-blue {
        color:rgb(169, 197, 250);
    }
}

/*------------------------------------DROPCAPS*/

@mixin first-character {
    font-size:3em;
    color:white;
    float: left;
    line-height: 40px;
    padding-right: 8px;
    padding-left: 3px;
}

.dropcaps {
    margin-top:170px;

    .grid-item-typo-dropcaps {
        margin-top:40px;
        margin-left:40px;

        .first-character {
            @include first-character;
            color:#79ccff;
        }

    }

    .first-character-bloc {
        @include first-character;
        background-image: linear-gradient(to right top, #79ccff, #61bcff, #61a9ff, #7991ff, #9b74ff);
        margin-right:10px;
    }

    .first-character-rond {
        @include first-character;
        text-align:Center;
        width:30px;
        border-radius:45px;
        margin-right:10px;
        font-size:2.5em;
        background-image: linear-gradient(to right top, #79ccff, #61bcff, #61a9ff, #7991ff, #9b74ff);
    }

    .first-character-gradient {
        @include first-character;
        background: -webkit-linear-gradient(#79ccff, #9b74ff);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }

}

/*------------------------------------PAGE TEXT COLUMNS*/

@mixin text-2-columns {
    display: grid;
    width:70%;
    margin:0 auto;
    grid-gap: 20px;
    grid-template-columns: auto auto;
    padding: 30px;

}

.main-text {
    margin-bottom:1600px;
    line-height:20px;

    .grid-container-text-2 {
        @include text-2-columns;
    }

    .grid-container-text-3 {
        @include text-2-columns;
        grid-template-columns: auto auto auto;
    }

    .grid-container-text-4 {
        @include text-2-columns;
        grid-template-columns: auto auto auto auto;
    }

    .grid-container-text-6 {
        @include text-2-columns;
        grid-template-columns: auto auto auto auto auto auto;
    }

    .grid-container-text-diffColumns {
        @include text-2-columns;
    }

    .grid-container-text-diffColumns2 {
        @include text-2-columns;
        grid-template-columns: auto auto auto auto auto auto ;

        .grid-item-text-2-3 {
            grid-column: 1/5;
        } 
    }

    .grid-container-text-diffColumns3 {
        @include text-2-columns;
        grid-template-columns: auto auto auto auto auto auto;

        .grid-item-text-1-2 {
            grid-column: 1/5;
        }
    }
    .grid-container-text-diffColumns4 {
        @include text-2-columns;
        grid-template-columns: auto auto auto auto auto auto;

        .grid-item-text-3-4 {
            grid-column: 1/6;
 
        }
        .grid-item-text-1-4 { /*why isnt it working??*/
            grid-column: 6/6;
 
        }
    }
    .grid-container-text-diffColumns5 {
        @include text-2-columns;
        grid-template-columns: auto auto auto auto auto auto;

        .grid-item-text-2-3 {
            grid-column: 1/5;
 
        }
        .grid-item-text-5-5 { 
            grid-column: 5/5;
 
        }
        .grid-item-text-6-6 {
            grid-column: 6/6;
 
        }
    }


}

/*----------------------------------------------------------------------------- PAGE ACCORDEON */
@mixin list-style {
    list-style-type: none;
        font-family:Medium;
        font-size:0.8em;
        text-decoration:none;
}

.grid-container-tabs {
    @include text-2-columns;
    grid-template-columns: auto auto auto;
    grid-gap: 40px;

/*-----------------------------------partie utilisée par js*/
    ul {
        @include list-style;

        .tab {
            display:block;
            text-decoration:none;
            color:black;
            transition:300ms;
            padding:15px;
            background: rgb(197, 197, 197);

            // = margin-bottom:5px pour espacer les blocs
            & + .tab {
                margin-top:5px;
            }
            &.tabs-nav-item--active {
                background: rgb(68, 55, 185);
                color:white;
            }
        }
    }

    .tabs-content {
        &.tabs-content--inactive {
            display:none;
        }
    }
/*-----------------------------------partie utilisée par js*/

    .image {
        width:200px;
        height:200px;
        background-color:gainsboro
    }

/*menu horizontal*/
    .horizontal-menu {

        ul { 
        @include list-style;
        display:inline-block;
        @include text-2-columns;
        grid-template-columns: auto auto auto auto auto auto;

        li {
            text-align:left;
            margin: 0 auto;
            padding:10px;
        }

        }
    }
}



/*-------------------------------------------------------- FOOTER */ 
 
footer {

    height:50px;
    background-color: #03062f; 
    margin-left:-8px;
    margin-right:-8px;
    
    img {
    margin-top:15px;
    margin-left: 16%;

} p {
    display: inline-block;
    position: absolute;
    margin-top:20px;
    margin-left:10px;
    color: #6270ff;
    font-family:Regular;
    font-size:0.5em;
    
    } span.icons{
        display: inline-block;
        overflow: hidden;
        margin-left:525px;

        i {
            color:#6270ff;
            display: inline-block;
            padding-right:15px; 
            font-size: 10px;
        }
    }
   
}
